Bug 429612 - curl-devel blocks upgrade from f8 to rawhide
Summary: curl-devel blocks upgrade from f8 to rawhide
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-21 22:34 UTC by Bruno Wolff III
Modified: 2013-07-02 23:26 UTC (History)
1 user (show)

Fixed In Version: curl-7.17.1-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 12:07:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruno Wolff III 2008-01-21 22:34:23 UTC
Description of problem:
If curl-devel is installed, yum upgrade fails.

Version-Release number of selected component (if applicable):
curl-7.17.1-5.fc9

How reproducible:
100%

Steps to Reproduce:
1. Install curl-devel on F8
2. Add rawhide repo
3. yum upgrade
  
Actual results:
Error: Missing Dependency: curl = 7.17.1-1.fc8 is needed by package curl-devel

Expected results:
Successful upgrade.

Additional info:
As a work around, curl-devel can be uninstalled before doing the upgrade.

You can try just doing a yum update curl, but that will also try to update a lot
of packages,so it won't save that much effort for testing.

Comment 1 Jindrich Novy 2008-01-22 12:07:44 UTC
Fixed in rawhide, thanks.


Note You need to log in before you can comment on or make changes to this bug.